package de.tudarmstadt.maki.simonstrator.api.component.topology;

/**
 * This event signals that a local topology has changed.
 *
 * Clients may query the topology provider and the changed topology (via its identifier) from the event.
 */
public class TopologyChangedEvent implements ITopologyChangedEvent {

	public final TopologyProvider topology;
	public final TopologyID topologyIdentifier;

	public TopologyChangedEvent(final TopologyProvider topology, final TopologyID topologyIdentifier) {
		this.topology = topology;
		this.topologyIdentifier = topologyIdentifier;
	}

	public TopologyProvider getTopologyProvider() {
		return topology;
	}

	public TopologyID getTopologyIdentifier() {
		return topologyIdentifier;
	}

	@Override
	public String toString() {
		return "TopologyChangedEvent";
	}

}
